Subject: Re: linux-next: build failure after merge of the iommu tree

From: Lorenzo Pieralisi <[email-masked]>
Date: Tue, 12 Oct 2021 12:21:58 +0100

On Tue, Oct 12, 2021 at 09:33:48AM +0100, Marc Zyngier wrote:
> [+ Sven]
> 
> On Tue, 12 Oct 2021 04:46:39 +0100,
> Stephen Rothwell <[email-masked]> wrote:
> > 
> > Hi all,
> > 
> > After merging the iommu tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > drivers/iommu/apple-dart.c: In function 'apple_dart_get_resv_regions':
> > drivers/iommu/apple-dart.c:758:2: error: implicit declaration of function 'iommu_dma_get_resv_regions'; did you mean 'iommu_get_resv_regions'? [-Werror=implicit-function-declaration]
> >   758 |  iommu_dma_get_resv_regions(dev, head);
> >       |  ^~~~~~~~~~~~~~~~~~~~~~~~~~
> >       |  iommu_get_resv_regions
> > cc1: all warnings being treated as errors
> > 
> > Caused by commit
> > 
> >   b2b2781a9755 ("iommu/dart: Clean up IOVA cookie crumbs")
> > 
> > interactig with commit
> > 
> >   05dc551614a4 ("iommu/dart: Exclude MSI doorbell from PCIe device IOVA range")
> > 
> > from the pci tree.
> > 
> > I have applied the following merge fix patch.
> > 
> > From: Stephen Rothwell <[email-masked]>
> > Date: Tue, 12 Oct 2021 14:40:49 +1100
> > Subject: [PATCH] fix for "iommu/dart: Exclude MSI doorbell from PCIe device
> >  IOVA range"
> > 
> > Signed-off-by: Stephen Rothwell <[email-masked]>
> > ---
> >  drivers/iommu/apple-dart.c | 1 +
> >  1 file changed, 1 insertion(+)
> > 
> > diff --git a/drivers/iommu/apple-dart.c b/drivers/iommu/apple-dart.c
> > index 912be9b7669c..280ff8df728d 100644
> > --- a/drivers/iommu/apple-dart.c
> > +++ b/drivers/iommu/apple-dart.c
> > @@ -15,6 +15,7 @@
> >  #include <linux/bitfield.h>
> >  #include <linux/clk.h>
> >  #include <linux/dev_printk.h>
> > +#include <linux/dma-iommu.h>
> >  #include <linux/dma-mapping.h>
> >  #include <linux/err.h>
> >  #include <linux/interrupt.h>
> 
> Thanks for fixing this. Lorenzo, do you mind slapping this on top of
> the Apple PCIe series?

I think this will have to be done by Bjorn at PR time, depending on
IOMMU<->PCI trees PRs timing, please correct me if I am wrong, we
have to reintroduce the line above since it is deleted by:

b2b2781a9755 ("iommu/dart: Clean up IOVA cookie crumbs")

in the IOMMU tree.

Lorenzo

> 
> Thanks,
> 
> 	M.
> 
> -- 
> Without deviation from the norm, progress is not possible.